<template>
  <button
    class="icon-btn"
    @mousedown.stop
    @click="$emit('click')"
    :disabled="disabled"
  >
    <svg
      xmlns="http://www.w3.org/2000/svg"
      x="0px"
      y="0px"
      width="24"
      height="24"
      viewBox="0 0 24 24"
      :style="{ fill: color }"
    >
      <slot />
    </svg>
  </button>
</template>

<script>
export default {
  name: "IconBtn",
  props: {
    color: { type: String, default: "black" },
    disabled: { type: Boolean },
  },
};
</script>

<style scoped>
.icon-btn {
  background-color: transparent;
  transition: background-color 0.4s;
  border-radius: 15px;
  width: 30px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}
.icon-btn:hover {
  background-color: #e3e3e3;
}
.icon-btn:active {
  background-color: #d2d2d2;
}
</style>
